Support » Plugin: WP REST Yoast Meta » permission_callback

  • Resolved jdbosley

    (@jdbosley)


    As of WordPress 5.5 your plugin begins to produce PHP notices for not providing a permissions_callback argument when registering your REST routes, just flagging this for your next scheduled release as it started producing notices when I run WP CLI commands.

    REST API changes in WordPress 5.5

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Richard Korthuis

    (@rockfire)

    Hi @jdbosley

    Thank you for using our plugin and thank you for bringing this to our attention. We will fix this in our next release.

    Thread Starter jdbosley

    (@jdbosley)

    Thanks! Additionally, I’ve started seeing another PHP notice as well. Not wanting to muddy the waters on this topic, I can create a new one if you’d prefer.

    PHP Deprecated: wpseo_frontend_head_init is <strong>deprecated</strong> since version WPSEO 14.0 with no alternative available.

    Hi, any news about this? Thank you šŸ™‚

    Plugin Author Richard Korthuis

    (@rockfire)

    Hi @matheuspaiva

    The original issue of this topic (permission_callback) was fixed on September 7th. I missed the mentioning of the deprecation notice by @jdbosley but fixed it right away and released a new version of our plugin.

    Thread Starter jdbosley

    (@jdbosley)

    Thanks, @rockfire! I probably should have started a new thread, my bad.

    Hi, Richard, sorry for the late response. I don’t know why, but I am still getting the deprecation warning. I have the latest version of the plugin with WordPress 5.5.1.

    Sorry, it was cache from my side. It’s solved. Thank you!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘permission_callback’ is closed to new replies.